Bug 756448 - Review Request: mingw-ftplib - MinGW package for ftplib
Summary: Review Request: mingw-ftplib - MinGW package for ftplib
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik van Pienbroek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-23 16:05 UTC by Michael Cronenworth
Modified: 2012-02-19 01:58 UTC (History)
4 users (show)

Fixed In Version: mingw-ftplib-3.1-4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-19 01:58:40 UTC
erik-fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michael Cronenworth 2011-11-23 16:05:03 UTC
Spec URL: http://michael.cronenworth.com/RPMS/mingw-ftplib.spec
SRPM URL: http://michael.cronenworth.com/RPMS/mingw-ftplib-3.1-1.fc16.src.rpm
Description: This is the MinGW package for the ftplib library that already
exists in Fedora native. ftplib is a set of routines that implement the FTP protocol.

Comment 1 Erik van Pienbroek 2011-11-30 19:53:38 UTC
- Please change the %define __strip and %define __objdump to use %global
- Please bump the BuildRequires: mingw32-filesystem to >= 68 (that is the version which introduced the RPM 4.9 dependency extraction magic)
- The 'rm -rf $RPM_BUILD_ROOT can be removed from the %install section

Comment 2 Michael Cronenworth 2011-12-03 05:56:58 UTC
Ah, yes. It shows you how long I've waited to put this up in Fedora. ;)

New spec: http://michael.cronenworth.com/RPMS/mingw-ftplib.spec
new srpm: http://michael.cronenworth.com/RPMS/mingw-ftplib-3.1-2.fc16.src.rpm

Comment 3 Erik van Pienbroek 2012-01-30 19:24:14 UTC
Apologies for the delay. I forgot about this package review.

The srpm currently fails to build on rawhide (with the original mingw.org toolchain) because the patch ftplib-3.1-1-mingw.patch contains a hardcoded reference to i686-w64-mingw32-windres. If you want to make this package compatible with both the mingw.org as well as the mingw-w64 toolchain you can perform these two changes:
* Replace 'i686-w64-mingw32-windres' with '$(WINDRES)' in the patch ftplib-3.1-1-mingw.patch
* Replace the line 'CC=%{_mingw32_cc} \' in the .spec file with '%{_mingw32_env}'

I also noticed that the %files section contains a .def file. These files can be dropped as they aren't interesting for other binaries which want to link against this library

Comment 4 Michael Cronenworth 2012-01-30 22:34:30 UTC
Thanks. Third times the charm.

New spec: http://michael.cronenworth.com/RPMS/mingw-ftplib.spec
new srpm: http://michael.cronenworth.com/RPMS/mingw-ftplib-3.1-3.fc16.src.rpm

Comment 5 Erik van Pienbroek 2012-01-31 16:03:00 UTC
$ rpmlint mingw-ftplib.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw-ftplib-3.1-3.fc16.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint noarch/mingw32-ftplib-3.1-3.fc16.noarch.rpm 
mingw32-ftplib.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpm --query --requires mingw32-ftplib
mingw32(kernel32.dll)  
mingw32(msvcrt.dll)  
mingw32(ws2_32.dll)  
mingw32-runtime
mingw32-filesystem >= 83
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --provides mingw32-ftplib
mingw32(libftp.dll)  
mingw32-ftplib = 3.1-3.fc16

$ rpm --query --fileprovide mingw32-ftplib
/usr/i686-pc-mingw32/sys-root/mingw/bin/libftp.dll	mingw32(libftp.dll)
/usr/i686-pc-mingw32/sys-root/mingw/include/ftplib.h	
/usr/i686-pc-mingw32/sys-root/mingw/lib/libftp.dll.a	


$ curl --silent http://nbpfaus.net/~pfau/ftplib/ftplib-3.1-1.tar.gz | md5sum
763be9c7e7b110776f88521a558dbc55  -
$ md5sum ftplib-3.1-1.tar.gz 
763be9c7e7b110776f88521a558dbc55  ftplib-3.1-1.tar.gz


+ OK
! Needs to be looked into
/ Not applicable
* Overridden by MinGW guidelines

[+] Files are installed in /usr/i686-pc-mingw32/sys-root/mingw
[+] BuildRequires: mingw32-filesystem >= xx is in the .spec file
[+] Requires are OK
[+] BuildArch: noarch
[+] No man pages or info files
[+] default strip and objdump commands are overridden with mingw32 specific ones


[+] rpmlint must be run on every package. The output should be posted in the review
[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines
[+] MUST: The package must meet the Packaging Guidelines
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual license.
[!] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[/] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines; inclusion of those as BuildRequires is optional.
[/] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[/] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[/] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[/] MUST: Large documentation files should go in a -doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[*] MUST: Header files must be in a -devel package.
[/] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[/] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[/] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[*] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[/] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.
[/] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[/] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[/] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[/] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[*] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
[/] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

The only issue remaining is that the package currently lacks a COPYING file.
Please include this file before importing this package in Fedora

==================================================
 The package mingw-ftplib is APPROVED by epienbro
==================================================

Comment 6 Michael Cronenworth 2012-02-10 01:46:28 UTC
I've added a copying file. Interesting Fact: The native Fedora package does not ship one. :)

Comment 7 Michael Cronenworth 2012-02-10 01:47:21 UTC
New Package SCM Request
=======================
Package Name: mingw-ftplib
Short Description: MinGW Library of FTP routines
Owners: mooninite
Branches: f16 f17
InitialCC:

Comment 8 Gwyn Ciesla 2012-02-10 02:32:21 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-02-10 05:49:09 UTC
mingw-ftplib-3.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mingw-ftplib-3.1-4.fc16

Comment 10 Fedora Update System 2012-02-10 22:00:55 UTC
mingw-ftplib-3.1-4.fc16 has been pushed to the Fedora 16 testing repository.

Comment 11 Fedora Update System 2012-02-19 01:58:40 UTC
mingw-ftplib-3.1-4.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.